Download it now!
Bug 49710 - UI: Navigation toolbar keeps appearing
Summary: UI: Navigation toolbar keeps appearing
Status: RESOLVED DUPLICATE of bug 115817
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Navigator Writer-Toolbars
  Show dependency treegraph
 
Reported: 2012-05-09 17:17 UTC by k.dalgard
Modified: 2018-05-05 01:43 UTC (History)
11 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (45.84 KB, image/png)
2015-02-09 12:28 UTC, Henrik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description k.dalgard 2012-05-09 17:17:51 UTC
Problem description:
The small toolbar with the two green arrows keeps coming back after certain actions, such as inserting a header, even though it has been closed via the menu once before (which usually keep other toolbars from coming back)

Steps to reproduce:
1. Insert a header in an empty document using the little blue assistant that appears when hovering over the top of the page
2. The navigation toolbar appears
3. The toolbar can be closed by right-clicking or in the menu, but nothing keeps it from coming back if a page header is inserted once again

Current behavior:

Expected behavior:

Platform (if different from the browser):
Windows 7
Comment 1 Aibara 2012-07-28 17:21:20 UTC
I can confirm this. I'm using version 3.5.5.3 on Ubuntu 12.04.

I also have the navigation toolbar occsionally appear when I insert footnotes. It does not always appear, but does frequently enough to be an annoyance.
Comment 2 Aibara 2012-07-28 19:55:35 UTC
Actually, after playing around with it for a bit I've realized that the navigation toolbar appears everytime I add a footnote (if I close it, it will appear again upon adding the next new footnote).
Comment 3 Aibara 2012-08-20 18:01:50 UTC
Still a problem in 3.6.0.2.
Comment 4 bfoman (inactive) 2012-11-02 14:27:06 UTC
Confirmed with:
LO 3.6.3.1 
Build ID: f8fce0b
Windows 7 Professional SP1 64 bit
Comment 5 Aibara 2013-01-25 17:30:03 UTC
This bug is still extant in version 4.0.0.2 (on Ubuntu 12.04).
Comment 6 Paul 2013-10-15 19:54:44 UTC
Present with:

libreoffice-4.0.3.3.5-2.1  
openSUSE 12.3 x86_64

Reproducible as in comment #2
Comment 7 Aibara 2014-06-24 19:50:27 UTC
Still present in version 4.2.4.2.
Since no developer has commented yet: is this not considered an undesirable behavior? I, at least, cannot see the logic in re-opening a toolbar the user has closed everytime the user creates a footnote; it's simply an annoyance.
Comment 8 Henrik 2015-02-09 12:28:55 UTC
Created attachment 113253 [details]
Screenshot

Screenshot of the problem as it occurs after having created a header.
Comment 9 Henrik 2015-02-09 12:30:35 UTC
Still present in
Version: 4.4.0.3
Build ID: 40m0(Build:3)
Ubuntu 14.04 i386

It occurs for me everytime I create and delete a header or a footer, and also when I create a footnote/endnote.
Comment 10 James A. Schulz 2015-05-21 18:18:57 UTC
It occurs whenever I click on a heading in the sidebar navigator.  Still happens in today's release: 4.4.3.2

This is real nuisance because: 1. the toolbar steals something like a quarter inch from the height of the viewport (to no good purpose); 2. it requires three clicks to get rid of it each time it shows up (i.e. each time I click on a heading in the sidebar navigator).
Comment 11 Samuel Mehrbrodt (CIB) 2016-03-18 09:55:24 UTC
Since 5.1 this toolbar is docked next to the formatting toolbar. should fix the issue.
Comment 12 Aibara 2016-03-18 16:44:43 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #11)
> Since 5.1 this toolbar is docked next to the formatting toolbar. should fix
> the issue.

This is not fixed in 5.1. It might default to being docked next to the formatting toolbar, but the user could always just dock the bar anyhow.

The issue therefore remains: a (in my opinion useless) navigation toolbar appears each time certain actions (like inserting a footnote) are taken. Even once the user closes it, it simply appears again.
Comment 13 Cor Nouws 2016-03-25 14:08:36 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #11)
> Since 5.1 this toolbar is docked next to the formatting toolbar. should fix
> the issue.

Hi Samuel,

Indeed it is much better when the tool bar doesn't pop up somewhere floating. However there should be a way to disable the automatic display. When you disable the too lbar Image or Table via the menu, it will not pop up automatic. That does not happen with the navigation tool bar.

So, sorry, I reopen this issue.

(I've no idea honestly, when this tool bar appears. Sometimes with numbers, headings, Navigator.. It just happens..)
Comment 14 Cor Nouws 2016-03-25 14:09:06 UTC
*** Bug 98877 has been marked as a duplicate of this bug. ***
Comment 15 Christian Lehmann 2017-11-02 16:55:53 UTC
This feature is still present in v. 5.4.2.2. I join the majority of those who have posted here: 

The navigation bar is completely useless, as it does not even what it is supposed to do; and if it did, it would not provide an enhancement over the navigator, which is always available.

Moreover, one or two little arrow heads occupy an entire toolbar and, thus, precious space. It is impossible to transfer the symbols to another bar or to combine this bar in one column or row with another symbol bar (as it is possible with other symbol bars).

Please remove the navigation bar; or else, if you are so fond of it, at least allow the user to permanently disable it.
Comment 16 Christian Lehmann 2018-05-04 09:37:59 UTC
This bug has a long history (first reported for LO 3.5) and has been discussed in the following bug reports:
49710 (the present one)
98762 (apparently a newer report)
115817
and possibly (depending on what exactly is meant there) in 43220.

Using 115817, Heiko Tietze writes:
Discussed this in the design meeting. The implementation might have room for improvement, ie. position/popup of controls, but the functionality itself is not questioned. So we keep it, perhaps in the future not as a standalone toolbar.

1) Merge the bug discussions relating to the same issue.
2) The functionality has been questioned by several users. It is opaque where exactly one is led by a click on the arrow head. (I could propose a more transparent and practical solution.)
3) The design and behavior of the bar have been rightly criticized by many people: a) The two arrowheads constitute an entire icon bar by themselves and cannot be moved to another bar. Thus, they occupy too much space. b) The bar keeps popping up even if the user has disabled it in the View > Icon bars menu.
It would seem to be time that the developer reacts to rational argument.
Comment 17 Christian Lehmann 2018-05-04 09:42:51 UTC Comment hidden (obsolete)
Comment 18 Christian Lehmann 2018-05-04 09:45:14 UTC Comment hidden (obsolete)
Comment 19 Cor Nouws 2018-05-04 20:21:14 UTC Comment hidden (obsolete)
Comment 20 Thomas Lendo 2018-05-05 01:27:29 UTC
*** Bug 98762 has been marked as a duplicate of this bug. ***
Comment 21 V Stuart Foote 2018-05-05 01:41:28 UTC

*** This bug has been marked as a duplicate of bug 115817 ***